---
include:
  - remote: https://jobs.just-ci.dev/v6.24.7/project-automation/workflow.yml
  - remote: https://jobs.just-ci.dev/v6.24.7/project-automation/find-next-release.yml
  - remote: https://jobs.just-ci.dev/v6.24.7/project-automation/gitlab/recommended.yml
  - remote: https://jobs.just-ci.dev/v6.24.7/project-automation/semantic-release.yml
  - remote: https://jobs.just-ci.dev/v6.24.7/project-automation/generic.yaml
  - remote: https://jobs.just-ci.dev/v6.24.7/python/tbump.yml

tbump:
  extends:
    - .python:pre
    - .release:rules
  needs:
    - find-next-release

tbump:dry-run:
  stage: test
  extends: tbump
  variables:
    TBUMP_NEXT_VERSION: 99.99.99
  needs: []
  artifacts: null # Disable so we don't interfere with subsequent jobs
  rules:
    - if: $CI_COMMIT_REF_NAME != $CI_DEFAULT_BRANCH
      exists:
        - tbump.toml
        - pyproject.toml
